<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if (!function_exists('ddt_recursive_sanitize_text_field_table')) {
function ddt_recursive_sanitize_text_field_table($array) {
        foreach ( $array as $key => &$value ) {
            if ( is_array( $value ) ) {
                $value = ddt_recursive_sanitize_text_field_table($value);
            }
            else {
                $value = sanitize_text_field( $value );
            }
        }

        return $array;
    }
}

$active_plugins = apply_filters( 'active_plugins', get_option( 'active_plugins' ) );
$ddt_facebook_events_url = ddt_recursive_sanitize_text_field_table(get_option("DDT_Facebook_events_url"));
$ddt_facebook_Pixel_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_Pixel_Activated"));

$ddt_facebook_contact_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_contact_Activated"));
$ddt_facebook_cf7_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_contact_cf7_Activated"));
$ddt_facebook_Elementor_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_contact_elementor_Activated"));
$ddt_facebook_phoneemail_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_contact_phoneemail_Activated"));
$ddt_facebook_thankyou_page_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_contact_thankyou_Activated"));

$ddt_facebook_ecommerce_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_ecommerce_Activated"));
$ddt_facebook_wc_activated = sanitize_text_field(get_option("DDT_Facebook_Nav_woocommerce_Activated"));
$ddt_facebook_ecommerce_thankyou = sanitize_text_field(get_option("DDT_Facebook_Nav_ecommerce_thankyou_Activated"));

$ddt_facebook_conversion_api = sanitize_text_field(get_option("DDT_Facebook_Nav_Capi_Activated"));

if(isset($ddt_facebook_Pixel_activated ) && $ddt_facebook_Pixel_activated == 1):
		if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/pixel.php') ) {
    	require plugin_dir_path(__FILE__) . 'facebook/pixel.php';
		}
endif;

if( is_array($ddt_facebook_events_url) == 1 && count($ddt_facebook_events_url) > 0):
		if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/urlevents.php') ) {
    	require plugin_dir_path(__FILE__) . 'facebook/urlevents.php';
		}
endif;

//contact events
if(isset($ddt_facebook_contact_activated) && $ddt_facebook_contact_activated == 1):
    if(isset($ddt_facebook_cf7_activated) && $ddt_facebook_cf7_activated == 1):
					if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/cf7.php') ) {
        			require plugin_dir_path(__FILE__) . 'facebook/cf7.php';
						}
        endif;
    if(isset($ddt_facebook_Elementor_activated) && $ddt_facebook_Elementor_activated == 1):
			    if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/elementor.php') ) {
        		require plugin_dir_path(__FILE__) . 'facebook/elementor.php';
					}
        endif;
    if(isset($ddt_facebook_phoneemail_activated) && $ddt_facebook_phoneemail_activated == 1):
			    if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/phoneemail.php') ) {
        			require plugin_dir_path(__FILE__) . 'facebook/phoneemail.php';
						}
        endif;
    if(isset($ddt_facebook_thankyou_page_activated) && $ddt_facebook_thankyou_page_activated == 1):
				 if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/thankyoupage.php') ) {
        			require plugin_dir_path(__FILE__) . 'facebook/thankyoupage.php';
						}
        endif;
    endif;


//ecommerce
if(isset($ddt_facebook_ecommerce_activated) && $ddt_facebook_ecommerce_activated == 1):
    //woocommerce
		//if woocommerce installed
if (in_array("woocommerce/woocommerce.php", $active_plugins)){ 
    if(isset($ddt_facebook_wc_activated) && $ddt_facebook_wc_activated == 1):
				 if ( is_file(  plugin_dir_path(__FILE__) . 'facebook/wc.php') ) {
        			require plugin_dir_path(__FILE__) . 'facebook/wc.php';
						}
        endif;
};
    if(isset($ddt_facebook_ecommerce_thankyou) && $ddt_facebook_ecommerce_thankyou == 1):
					 if ( is_file(  plugin_dir_path(__FILE__) .  'facebook/ecommerce_thankyoupage.php') ) {
        			require plugin_dir_path(__FILE__) . 'facebook/ecommerce_thankyoupage.php';
						}
        endif;
    endif;

//api
if(isset($ddt_facebook_conversion_api ) && $ddt_facebook_conversion_api == 1):
	if ( is_file(  plugin_dir_path(__FILE__) .  'facebook/conversionapi.php') ) {
    require plugin_dir_path(__FILE__) . 'facebook/conversionapi.php';
	}
endif;
